curl --request GET \
--url https://api.partoo.co/v2/feedback/feedback_result \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/feedback/feedback_result"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/feedback/feedback_result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"max_page": 10,
"count": 287,
"items": [
{
"id": 1,
"business_id": "5409c35a97bbc544d8e26737",
"firstname": "John",
"lastname": "Doe",
"nps": 9,
"content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vulputate efficitur augue, ac auctor nibh scelerisque at. Nulla facilisi. Maecenas luctus efficitur sem sit amet ullamcorper. Donec tempor augue lorem, vitae convallis sapien aliquam id. Maecenas eu odio non est pretium eleifend. Nullam at odio eu ligula ultrices tincidunt. Nulla euismod aliquet ex eget efficitur.",
"state": "treated",
"optin": true,
"created": "2024-10-25T15:12:11+00:00",
"feedback_form": {
"id": "674d791c13c9d976e20001b1",
"display_name": "Global Satisfaction"
},
"feedback_result_fields": [
{
"rating": 4,
"content": null,
"choices": null,
"feedback_form_field": {
"id": "674d7aaa13e599deae0001b2",
"field_type": "CSAT",
"field_label": "How would you rate our service?",
"field_choices": null
}
}
],
"comments": [
{
"id": 1,
"created": "2024-11-15T10:00:15+00:00",
"author_name": "Jane Doe",
"content": "Thank you for your feedback",
"feedback_result_id": 1,
"user_id": "5309c3a237bbc544d8e26737",
"is_reply_suggestion": false
}
],
"extra": {
"extra_field": "value",
"extra_field_2": "value_2"
}
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Search for feedback results
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
This endpoint lets you search for the feedback results of your businesses.
The response is paginated (30 results per page).
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Filter by business ids. Use a comma-separated list to provide multiple ids.
"a1c9f37b4deca92f83b61d02,9f4e2a8c0d73b154e621bc97,c73b15e9fa42d60b3a8c21ef"
Excludes from the request all businesses provided
Business id
State of the feedback result
State of the feedback result
treated, not_treated "treated,not_treated"
Max date the feedback result was created on
"2024-10-01T00:00:00Z"
Min date the feedback result was created on
"2024-11-01T00:00:00Z"
NPS of the feedback result
0 <= x <= 109
NPS of the feedback result
0 <= x <= 109
The possible NPS values of the feedback result
NPS of the feedback result
0 <= x <= 10"0,1,2,8,9,10"
The possible words contained in the text field of the feedback result
6Whether the respondent accepts to be contacted
true, false The forms for which the feedback result is for
The unique identifier of the form
Was this page helpful?